@import url('https://fonts.googleapis.com/css2?family=Lobster&family=VT323&display=swap');

/* GLOBAL VARIABLES */
:root {
    --main-color: #03989e;
    --secondary: #FFFFFF;
}

h1 {
    font-family: 'VT323', monospace;
}

html {
    scroll-behavior: smooth;
}


/* BOOTSTRAP OVERRIDES */
.remove-padding {
    padding: 0 ! important;
    overflow-x: hidden;
}

.remove-margin {
    margin: 0 ! important;
}

.container {
    margin: 0;
    padding: 0;
}

.container-fluid {
    margin: 0;
    padding: 0;
}

.row {
    margin: 0;
    padding: 0;
}

.col {
    margin: 0;
    padding: 0;
}

/* NAVBAR */
.navbar {
    background-color: var(--main-color) ! important;
}

.left-nav-links {
    margin-left: auto;
}

.nav-link:hover{
    transform: scale(1.05);
    transition: all .4s ease;
    -webkit-transition: all .4s ease;
}

/* HERO */

.hero {
    background-color: rgba(0,0,0,0.6);
    color: white;
    background-position: cover;
    height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.hero-main {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.layer {
    background: url(https://images.unsplash.com/photo-1542831371-29b0f74f9713?ixlib=rb-1.2.1&ixid=eyJhcHBfaWQiOjEyMDd9&auto=format&fit=crop&w=2850&q=80);
    background-position: center;
    background-repeat: repeat;
    overflow: hidden;
    height: 100%;
    z-index: 2;
}

.lead {
    text-align: center;
    font-family: 'VT323', monospace;
    font-size: 30px;
}

.hero-name {
    font-family: 'VT323', monospace;
}

.hero-buttons {
    text-align: center;
}

.display-4 {
    text-align: center;
    font-family: 'Lobster', cursive;
}

.hero-btn {
    border: 3px solid var(--main-color);
    border-radius: 100px;
    color: white;
}

.hero-btn:hover {
    background-color: var(--main-color);
    color: white;
}

.arrow-down {
    font-size: 40px;
    color: white;
    position: absolute;
    bottom: 0;
}

.arrow-down > i {
    animation: bounce 2s ease infinite;
  }
  @keyframes bounce {
      0% {
          transform: translateY(0);
      }
      50% {
          transform: translateY(-30px);
      }
      100% {
          transform: translateY(0);
      }
  }

/* ABOUT */
#about {
    align-items: center;
    background-color: var(--main-color);
    color: white;
    display: flex;
    flex-direction: column;
    padding: 5% 0 10% 0;
    justify-content: center;
    text-align: center;
}

.about-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

/* WHERE I'VE WORKED */
.where-ive-worked {
    padding: 0 0 5% 0;
    margin-top: -7.5%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.where-ive-worked-resume {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.lifted-resume {
    background: white;
    border: 1px solid var(--main-color);
    border-radius: 20px;
    box-shadow: 1px 1px 5px var(--main-color);
    padding: 10px;
    width: 70%;
}

.resume-nav {
    margin-right: auto;
}

.nav-pills > .nav-link.active {
    background-color: var(--main-color)!important;
    color: white;
}

.nav-pills > .nav-link {
    color: black;
}

.history-text {
    text-align: center;
}

/* PROJECTS */
.projects-text {
    text-align: center;
}

#app {
    /* width: 100%; */
    margin: 0 auto;
}

.projects {
    display: flex;
    justify-content: center;
    align-items: center;
}

.project-button {
    background-color: white;
    border: 3px solid var(--main-color);
    border-radius: 100px;
    color: var(--main-color);
}

.project-button:hover {
    background-color: var(--main-color);
    color: white;
    border: 3px solid var(--main-color);
}

.card {
    margin-top: 2%;
}

.card-title {
    text-align: center;
}

.card:hover {
box-shadow: 1px 1px 5px var(--main-color);
border: 1px solid var(--main-color);
transform: scale(1.02);
transition: all .5s ease;
-webkit-transition: all .5s ease;
}

/* CONTACT FORM */
form {
    background: white;
    border-radius: 20px;
    border: 1px solid var(--main-color);
    box-shadow: 1px 1px 5px var(--main-color);
    display: inline-flex;
    flex-direction: column;
    justify-content: center;
    padding: 1% 2% 2% 2%;
    min-width: 250px;
    width: 30%;
    margin-top: 5%;
    margin-bottom: -7.5%;
}

.form-submit {
    background-color: white;
    border: 3px solid var(--main-color);
    border-radius: 100px;
    color: var(--main-color);
}

.form-submit:hover {
    background-color: var(--main-color);
    color: white;
    transition: all .4s ease;
    -webkit-transition: all .4s ease;
}

.form-input {
    border: 3px solid var(--main-color);
    width: 100%;
}

.contact-form {
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.lets-work {
    text-align: center;
}

/* FOOTER */
footer {
    height: 30vh;
    background-color: var(--main-color);
    display: flex;
    flex-direction: row;
    align-items: center;
    text-align: center;
}

.icons {
    margin-top: 6%;
}

.icon {
    margin: 0 1% 0 1%;
    color: white;
}

.icon:hover {
    cursor: pointer;
}

@media (max-width: 576px) {
    .layer {
       background-position: 57% 30%; 
    }

    .display-4 {
        font-size: 30px;
    }

    .lead {
        font-size: 18px;
    }

    .hero {
        justify-content: center;
    }

    .press-photo {
        width: 70%;
    }

    .arrow-down > i {
        animation: bounce 2s ease infinite;
      }
      @keyframes bounce {
          0% {
              transform: translateY(0);
          }
          50% {
              transform: translateY(-10px);
          }
          100% {
              transform: translateY(0);
          }
      }
}

@media (max-width: 768px) {
    .arrow-down {
        left: 45%;
    }

    .where-ive-worked-resume {
        display: block;
    }

    .lifted-resume {
        width: 90%;
    }

    .pane-header {
        text-align: center;
    }

    .resume-button {
        display: flex;
        justify-content: center;
    }

    form {
        width: 50%;
    }

}